aboutsummaryrefslogtreecommitdiff
path: root/scripts/single.sh
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2015-10-30 19:43:55 -0500
committerRob Landley <rob@landley.net>2015-10-30 19:43:55 -0500
commitf3dc8a81c56209d7ae0fcd859a359d13e577d63d (patch)
tree15adc87af0d63efe92149103ae4b612a5f15736e /scripts/single.sh
parentb8f5eff75187cf1b9774a8e65fe705efbb436c65 (diff)
downloadtoybox-f3dc8a81c56209d7ae0fcd859a359d13e577d63d.tar.gz
Now that toybox is chmod -w, mv needs -f to overwrite it.
Diffstat (limited to 'scripts/single.sh')
-rwxr-xr-xscripts/single.sh5
1 files changed, 1 insertions, 4 deletions
diff --git a/scripts/single.sh b/scripts/single.sh
index cea972a1..36de3159 100755
--- a/scripts/single.sh
+++ b/scripts/single.sh
@@ -37,9 +37,6 @@ do
echo "# CONFIG_TOYBOX is not set" >> "$KCONFIG_CONFIG" &&
grep "CONFIG_TOYBOX_" .config >> "$KCONFIG_CONFIG" &&
-# sed -ri -e "s/CONFIG_TOYBOX=y/# CONFIG_TOYBOX is not set/;t" \
-# -e "s/# (CONFIG_(TOYBOX(|_HELP.*|_I18N|_FLOAT)|$NAME|${NAME}_.*${DEPENDS:+|$DEPENDS})) is not set/\1=y/" \
-# "$KCONFIG_CONFIG" &&
make &&
- mv toybox $PREFIX$i || exit 1
+ mv -f toybox $PREFIX$i || exit 1
done